Subject: Copy of check and invoice
From: "Michael B" <[email-masked]>
To: "Cari McLeod" <[email-masked]>
Date: Thu, 17 Dec 2015 17:09:13 -0500

Hello Cari.
Another invoice was paid today and I have attached a copy of the check and the invoice that was paid. I spoke to a lady from your credit department earlier though I can't seem to remember her name. I was hoping you could just forward the attached information to her. Just so she knows that we are making an effort to bring everything current. I paid the one invoice that had the credit on it by credit card today as well. That way we could get today's order released. However I was thinking we were supposed to be credited for all 12 of the rolls since they were shipped to us incorrectly. She told me to mention that to you as we would have to agree on what the total credit was for. She said we could just apply the credit that was issued and add a separate one for the difference. Not sure if she spoke to you about that or not. Anyways, I am going to request that the other invoices be paid as well so we don't fall too far behind and get in the same situation we fell into today with future orders. I appreciate your assistance in all this. Let me know if you have any questions or concerns.
Thank you,
Michael B
LLPS